net.corda.node.services.statemachine

## Class SessionReject

- net.corda.node.services.statemachine.SessionReject

- All Implemented Interfaces:
    ExistingSessionMessage, SessionInitResponse, SessionMessage

      public class SessionReject
      implements SessionInitResponse

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.node.services.statemachine.SessionInitResponse

      `SessionInitResponse.DefaultImpls`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionReject(long initiatorSessionId, java.lang.String errorMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `component1()`
    `java.lang.String` | `component2()`
    `SessionReject` | `copy(long initiatorSessionId, java.lang.String errorMessage)`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.String` | `getErrorMessage()`
    `long` | `getInitiatorSessionId()`
    `long` | `getRecipientSessionId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.SessionInitResponse

      `getInitiatorSessionId, getRecipientSessionId`

    - ### Methods inherited from interface net.corda.node.services.statemachine.ExistingSessionMessage

      `getRecipientSessionId`

- - ### Constructor Detail

    - #### SessionReject

          public SessionReject(long initiatorSessionId,
                               java.lang.String errorMessage)

  - ### Method Detail

    - #### getInitiatorSessionId

          public long getInitiatorSessionId()

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

    - #### getRecipientSessionId

          public long getRecipientSessionId()

    - #### component1

          public long component1()

    - #### component2

          public java.lang.String component2()

    - #### copy

          public SessionReject copy(long initiatorSessionId,
                                    java.lang.String errorMessage)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)